import React from "react";
import { Redirect, Route, Switch } from "react-router-dom";
import MakeSale from "../pages/sales/MakeSale";
import SalesHistory from "../pages/sales/SalesHistory";
import SalesWrapper from "../pages/sales/SalesWrapper";

function SettingRoute() {
  return (
    <Switch>
      <SalesWrapper>
        <Route
          path={`${process.env.PUBLIC_URL}/sales/new`}
          exact
          component={MakeSale}
        />
        <Route
          path={`${process.env.PUBLIC_URL}/sales/sales1`}
          exact
          component={SalesHistory}
        />
        <Route path={`${process.env.PUBLIC_URL}/sales`} exact>
          <Redirect to={`${process.env.PUBLIC_URL}/sales/new`} />
        </Route>
      </SalesWrapper>
    </Switch>
  );
}

export default SettingRoute;
